%define	upstream_name	 File-HomeDir
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get home directory for self or other users
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd) >= 3.120.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Path) >= 2.10.0
BuildRequires: perl(File::Spec) >= 3.120.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(File::Which) >= 0.50.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: xdg-user-dirs
BuildArch:  noarch

%description
A Perl module to get home directory portably for self or other users.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find lib -name *.pm | xargs chmod 644 
chmod 644 Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# tests require that user dirs exist, which is not the case within bs
#make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 367262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 315060
- update to 1.00

* Thu Feb 23 2012 jquelin <jquelin> 0.990.0-1.mga2
+ Revision: 212878
- update to 0.99

* Fri Jul 08 2011 jquelin <jquelin> 0.980.0-1.mga2
+ Revision: 120392
- update to 0.98

* Tue Feb 22 2011 jquelin <jquelin> 0.970.0-1.mga1
+ Revision: 56548
- update to 0.97

* Thu Feb 10 2011 jquelin <jquelin> 0.950.0-1.mga1
+ Revision: 49808
- update to 0.95

* Fri Jan 21 2011 jquelin <jquelin> 0.930.0-1.mga1
+ Revision: 30335
- mageia rebuild
- imported package perl-File-HomeDir

